%define bname qalculate

Summary:	A very versatile desktop calculator
Name:		qalculate-gtk
Version:	4.8.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Office
URL:		https://qalculate.github.io/
Source0:	https://github.com/Qalculate/qalculate-gtk/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libqalculate)
BuildRequires:	lib64tiff-devel

Requires: libqalculate
Requires: lib64qalculate22

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface that uses a one-line fault-tolerant expression entry
(although it supports optional traditional buttons).

This package provides the GTK frontend.

%prep
%setup -q
%autopatch -p1

%build
./autogen.sh
%configure2_5x
%make_build

%install
%make_install

desktop-file-install \
	--remove-key="Encoding" \
	--remove-category="Application" \
	--add-category="GTK" \
	--add-category="Calculator" \
	--set-icon="%{_datadir}/pixmaps/%{bname}.png" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/man/man1/qalculate-gtk.1.bz2
%{_libexecdir}/qalculate-search-provider
%{_datadir}/dbus-1/services/io.github.Qalculate.SearchProvider.service
%{_datadir}/gnome-shell/search-providers/io.github.Qalculate.search-provider.ini
%{_datadir}/icons


%changelog
* Thu Sep 21 2023 tex - 4.8.0-1pclos2023
- new version

* Tue Apr 18 2023 tex - 4.6.0-1pclos2023
- new version

* Fri Jan 06 2023 tex - 4.5.1-1pclos2023
- new version

* Tue Dec 20 2022 tex - 4.5.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 4.3.0-3pclos2022
- rebuild against updates

* Mon Sep 12 2022 tex - 4.3.0-2pclos2022
- rebuild against updates

* Sun Aug 28 2022 tex - 4.3.0-1pclos2022
- new version

* Fri Jun 24 2022 tex - 4.2.0-1pclos2022
- new version

* Wed Dec 22 2021 tex - 3.22.0-1pclos2022
- new version

* Sat Nov 06 2021 tex - 3.21.0-2pclos2021
- rebuild against updates

* Thu Oct 14 2021 tex - 3.21.0-1pclos2021
- new version

* Thu Jul 29 2021 tex - 3.20.1-1pclos2021
- new version

* Mon Jun 14 2021 tex - 3.19.0-1pclos2021
- new version

